%define upstream_name    Time-y2038
%define upstream_version 20100403

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Use Time::y2038's gmtime and localtime everywhere
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(ExtUtils::CBuilder)
BuildRequires:	perl(JSON)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Warn)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl-devel


%description
On many computers, Perl's time functions will not work past the year 2038.
This is a design fault in the underlying C libraries Perl uses. Time::y2038
provides replacements for those functions which will work accurately +/1
142 million years.

This only imports the functions into your namespace. To replace it
everywhere, see the Time::y2038::Everywhere manpage.

Replaces the following functions:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
rm -rf %buildroot
./Build install destdir=%{buildroot}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 20100403.0.0-5.mga3
+ Revision: 374370
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 20100403.0.0-4.mga3
+ Revision: 251271
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 20100403.0.0-3.mga2
+ Revision: 105071
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 20100403.0.0-2.mga1
+ Revision: 31385
- mageia rebuild
- cleaning spec file
- imported package perl-Time-y2038

